﻿using System.Windows;
using System.Windows.Controls;

namespace Effects2D.Brushes
{
    /// <summary>
    /// Interaction logic for EffectVisualBrush.xaml
    /// </summary>
    public partial class EffectVisualBrush : UserControl
    {
        public EffectVisualBrush()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Setting up the Y corrdinate of EndPoint
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void SetupEndPoint(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sdrEndPoint != null)
            {
                Point endPoint = new Point(0.5, sdrEndPoint.Value);
                lgbMask1.EndPoint = endPoint;
                lgbMask2.EndPoint = endPoint;
            }
        }
    }
}
