﻿using System.Windows;
using System.Windows.Controls;

namespace Effects2D.Effects
{
    /// <summary>
    /// Interaction logic for TransformationText.xaml
    /// </summary>
    public partial class TransformationText : UserControl
    {
        public TransformationText()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Setting up the RenderTransformOrigin property
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void SetupRenderer(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sdrRenderX != null && sdrRenderY != null)
            {
                lblText.RenderTransformOrigin = new Point(sdrRenderX.Value, sdrRenderY.Value);
            }
        }
    }
}
